<?php

namespace App\QcRules;

class Invoice_Filter_OfferConfirmationNumber extends FilterAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\QcRules\FilterAbstract::checkFields()
	 */
	public function checkFields(\App\QcRules\FieldsAbstract $fields, $context='')
	{
		// group invoice rows by currency type
		$confirmationNumbers = [];
		foreach ($fields->rowsList as $row) {
			$confirmationNumbers[]= $row['offerConfirmationNumber'];
		}

		return $this->checkFields_multiValues($confirmationNumbers);
	}
}
